﻿# You can place the script of your game in this file.

init:
    
    #flashbulb
    $ flashbulb = Fade(0.2, 0.0, 0.8, color='#fff')

    # Two-window mode.
    $ otwo = Character('Overseer Vault 13',
                        color="#34c83e",
                        show_two_window=True)
    
    # Two-window mode.
    $ oone = Character('Voix Mystérieuse',
                        color="#6e8266",
                        show_two_window=True)
    

# Here we define the backgrounds that are used.
image bg vault = "vault.jpg"
image bg wait = "wait.jpg"

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

image over = "overseer.png"
image pip = "pipboy.png"
image fond = "fond.png"
image tvp = "TVp.png"
image tvv = "TVv.png"

image movie = Movie(size=(400,300),xpos=0.1,ypos=0.21,xanchor=0,yanchor=0)

# Declare characters used by this game.
define o = Character('Overseer Vault 13', color="#34c83e")


# The game starts here.
label start:
    
    #end start
    #scene bg vault
    #show eileen vhappy
    #with dissolve
    scene bg vault

    # Start the background music playing.
    play music "05IndustrialJunk.mp3"

    #pause 1
    window show
    
    show fond
    
    show pip:
        xalign .5 yalign .43
        alpha 0.6
        zoom 0.0
        linear 1.0 zoom 1.0

    with Dissolve(0.3)
    #with dissolve
    "S'il y a quelqu'un, qu'il clique sur le Pip-Boy."
    
    $ renpy.play('punch.wav')
    with hpunch
    
    #with flashbulb
    
    show pip:
        xalign .5 yalign .43
        alpha 0.6
        zoom 1.0
        linear 1.0 zoom 0.9
        linear 0.9 zoom 1.0
        repeat
    
    pause 1
    "Hum... sur le Pip-Boy 3000! Ah la la la laaa...! Un peu de concentration!"
    
    hide pip
    with Dissolve(0.3)
    
    "Bien, salutations à toi, Humanoïde Assexué, je viens de découvrir le Gender, petit logiciel sans mode d'emploi qui te permettra de bien rigoler à l'avenir."

    show over:
        xalign 0.0 yalign 1.0
        linear 0.3 xalign 1.0 yalign .51
    with dissolve

    otwo "Aaaah... Voilà c'est moi, tu me reconnais? Je suis ton ami. Bien, parlons sérieusement maintenant. Sais-tu ce qu'est une extinction?"
    
    #Le plan TV
    #show tvp behind over:
    #    xalign -0.17 yalign 1.0
    #    linear 0.3 xalign -0.17 yalign .25
    #with dissolve
    #show ttv behind over
    
    #the movie
    show movie behind over
    play movie "intro.ogg"
    
    pause 1
    stop music fadeout 2
    
    pause 51
    
    stop movie
    hide movie
    
    
    
    play music "05IndustrialJunk.mp3"
    
    otwo "Bientôt près de chez nous en troisième version!? On a beaucoup de chance d'avoir d'aussi bons dirigeants, si bienveillants, hein?"
    otwo "Alors, qu'est-ce que tu vas faire pour sauver ta peau, faire comme si les autres bobos n'existaient plus? Bon allez, tiens-moi au parfum..."
    
    stop music fadeout 2
    
    #show over:
    #    xalign 1.0 yalign .51
    #    linear 0.1 xalign 2.0 yalign .51
    #with dissolve
    hide over

    
    #scene bg vault
    #with dissolve
    #pause .5
    
    hide fond
    #with dissolve    
    window hide
    #pause .5
    
    scene bg wait
    with fade    
    
    pause 1
    
    return
